Localizable - Error #1594

Redmine 4.2.0 + Localizable 0.4.0: Internal Error entering Plugin Setting Page
2021-04-12 07:42 - Pan Tau

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Localizable 0.6.1

Source: Development Redmine version:

Detected on version: Localizable 0.4.0

Description
Sunding Wei found an solution (https://www.redmine.org/issues/3972#note-38) to run Localizable 0.4.0 on Redmine 4.2.0.

Fix file: plugins/localizable/app/views/settings/_localizable.html.erb
Row 96:

- value="<%= (@settings(["locales"] [element[:name]] [object.id.to_s][locale].to_s.force_encoding ("UT
F-8") &>" />

+ value="<%= (@settings["locales"] [element[:name]] [object.id.to_s][locale].to_s.dup.force_encoding
("UTF-8") %>" />

History

#1 - 2023-11-23 08:38 - Sylvain Faivre
Thanks for the hint, this is still needed with Redmine 5.1.0

#2 - 2024-01-02 13:33 - Emilio Gonzalez Montafia

- Target version changed from Localizable 0.5.0 to Localizable 0.6.1
